/general_info

Update general info

Updates the general info

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
general_infoapp.GeneralInfoYesGeneralInfo

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

general_infoBody parameterapp.GeneralInfo
active_since
integer
No description.
address
No description.
ceo_first_name
string
No description.
ceo_last_name
string
No description.
commercial_register_id_a
string
No description.
commercial_register_id_b
string
No description.
commercial_register_location
string
No description.
company_ceo_ceos
string
Comma separated list of other CEOs
company_ceo_commercial_register_id_b
string
No description.
company_ceo_commercial_register_location
string
No description.
company_ceo_headquarters
string
No description.
company_ceo_name
string
No description.
company_ceo_supervisory_board_chairman
string
No description.
company_headquarters
string
Firmensitz
company_name
string
No description.
date_created
integer
No description.
date_modified
integer
No description.
email
string
No description.
fax
string
No description.
homepage
string
No description.
id
integer
No description.
legal_form
No description.
legal_form_addition
string
No description.
other_ceos
string
Comma separated list of other CEOs
phone
string
No description.
return_to_sender
string
No description.
sepa_id
string
No description.
supervisory_board_chairman
string
No description.
tax_id
string
No description.
vat_ids
array<string>
No description.
cURL
curl -X PUT 'https://<tenant>.dieagenturverwaltung.de/api/v2/general_info' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "active_since": 123,
  "address": {},
  "ceo_first_name": "string",
  "ceo_last_name": "string",
  "commercial_register_id_a": "string",
  "commercial_register_id_b": "string",
  "commercial_register_location": "string",
  "company_ceo_ceos": "string",
  "company_ceo_commercial_register_id_b": "string",
  "company_ceo_commercial_register_location": "string",
  "company_ceo_headquarters": "string",
  "company_ceo_name": "string",
  "company_ceo_supervisory_board_chairman": "string",
  "company_headquarters": "string",
  "company_name": "string",
  "date_created": 123,
  "date_modified": 123,
  "email": "string",
  "fax": "string",
  "homepage": "string",
  "id": 123,
  "legal_form": "ohg",
  "legal_form_addition": "string",
  "other_ceos": "string",
  "phone": "string",
  "return_to_sender": "string",
  "sepa_id": "string",
  "supervisory_board_chairman": "string",
  "tax_id": "string",
  "vat_ids": [
    "string"
  ]
}'
Request Body (application/json)
{
  "active_since": 123,
  "address": {...},
  "ceo_first_name": "string",
  "ceo_last_name": "string",
  "commercial_register_id_a": "string",
  "commercial_register_id_b": "string",
  "commercial_register_location": "string",
  "company_ceo_ceos": "string",
  "company_ceo_commercial_register_id_b": "string",
  "company_ceo_commercial_register_location": "string",
  "company_ceo_headquarters": "string",
  "company_ceo_name": "string",
  "company_ceo_supervisory_board_chairman": "string",
  "company_headquarters": "string",
  "company_name": "string",
  "date_created": 123,
  "date_modified": 123,
  "email": "string",
  "fax": "string",
  "homepage": "string",
  "id": 123,
  "legal_form": "ohg",
  "legal_form_addition": "string",
  "other_ceos": "string",
  "phone": "string",
  "return_to_sender": "string",
  "sepa_id": "string",
  "supervisory_board_chairman": "string",
  "tax_id": "string",
  "vat_ids": [
    "string"
  ]
}

Responses

200OK
app.GeneralInfoapplication/json
Example
{
  "active_since": 123,
  "address": {...},
  "ceo_first_name": "string",
  "ceo_last_name": "string",
  "commercial_register_id_a": "string",
  "commercial_register_id_b": "string",
  "commercial_register_location": "string",
  "company_ceo_ceos": "string",
  "company_ceo_commercial_register_id_b": "string",
  "company_ceo_commercial_register_location": "string",
  "company_ceo_headquarters": "string",
  "company_ceo_name": "string",
  "company_ceo_supervisory_board_chairman": "string",
  "company_headquarters": "string",
  "company_name": "string",
  "date_created": 123,
  "date_modified": 123,
  "email": "string",
  "fax": "string",
  "homepage": "string",
  "id": 123,
  "legal_form": "ohg",
  "legal_form_addition": "string",
  "other_ceos": "string",
  "phone": "string",
  "return_to_sender": "string",
  "sepa_id": "string",
  "supervisory_board_chairman": "string",
  "tax_id": "string",
  "vat_ids": [
    "string"
  ]
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}